#! /bin/sh
# autogen.sh
# $Id: autogen.sh,v 1.1 2001/07/04 06:42:10 dan Exp $
#
# Run autoconf tools to generate package files.
#
# Warning:
# For package-maintainer use only to build configure scripts.
#
# Installers should use ./configure (see file INSTALL)
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#
# $Id: autogen.sh,v 1.1 2001/07/04 06:42:10 dan Exp $
#
autoconf --version
automake --version

echo "Please ignore warnings about AC_TRY_RUN called without default . . ."
echo "Running aclocal . . ."
aclocal
if [ $? -ne 0 ] ; then
	echo "aclocal failed; status code $?"
fi

echo "Running autoconf . . ."
autoconf
if [ $? -ne 0 ] ; then
	echo "autoconf failed; status code $?"
fi

echo "Running autoheader . . ."
autoheader
if [ $? -ne 0 ] ; then
	echo "autoheader failed; status code $?"
fi

echo "Running automake . . ."
automake
if [ $? -ne 0 ] ; then
	echo "automake failed; status code $?"
fi

echo "Success"
echo "Now test with ./configure"

#echo "Testing ./configure . . ."
#./configure
#if [ $? -ne 0 ] ; then
#	echo "./configure failed; status code $?"
#else
#	echo "Success"
#fi


